# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ libpastix-devel
# END SourceDeps(oneline)
Name:           tkgate
Version:        2.0
Release:        alt1_15.beta10
Summary:        An event driven digital circuit simulator

Group:          Engineering
License:        GPLv2+
URL:            http://www.tkgate.org/

Patch0:         tkgate-2.0-doc.patch
Patch1:         tkgate-2.0-lm.patch
Source0:        ftp://gadoid.ices.cmu.edu/pub/tkgate/pre-release/%{name}-%{version}-b10.tar.gz


BuildRequires:  tk-devel tcl-devel libICE-devel libSM-devel
BuildRequires:  desktop-file-utils
Source44: import.info


%description
TkGate is a event driven digital circuit simulator
based on Verilog. TkGate
supports a wide range of primitive circuit elements as
well as user-defined modules for hierarchical design.

%package ca
Summary:           Locales and examples for tkgate, Digital Circuit Simulator
Group:             Documentation
Requires:          %{name} = %{version}-%{release}

%description ca
This package contains the Catalan locales and examples for tkgate, 
Digital Circuit Simulator

%package cs
Summary:           Locales and examples for tkgate, Digital Circuit Simulator
Group:             Documentation
Requires:          %{name} = %{version}-%{release}

%description cs
This package contains the Czech locales and examples for tkgate, 
Digital Circuit Simulator

%package cy
Summary:           Locales and examples for tkgate, Digital Circuit Simulator
Group:             Documentation
Requires:          %{name} = %{version}-%{release}

%description cy
This package contains the Welsh locales and examples for tkgate, 
Digital Circuit Simulator

%package de
Summary:           Locales and examples for tkgate, Digital Circuit Simulator
Group:             Documentation
Requires:          %{name} = %{version}-%{release}

%description de
This package contains the German locales and examples for tkgate, 
Digital Circuit Simulator

%package es
Summary:           Locales and examples for tkgate, Digital Circuit Simulator
Group:             Documentation
Requires:          %{name} = %{version}-%{release}

%description es
This package contains the Spanish locales and examples for tkgate, 
Digital Circuit Simulator

%package fr
Summary:           Locales and examples for tkgate, Digital Circuit Simulator
Group:             Documentation
Requires:          %{name} = %{version}-%{release}

%description fr
This package contains the French locales and examples for tkgate, 
Digital Circuit Simulator

%package it
Summary:           Locales and examples for tkgate, Digital Circuit Simulator
Group:             Documentation
Requires:          %{name} = %{version}-%{release}

%description it
This package contains the Italian locales and examples for tkgate, 
Digital Circuit Simulator


%package ja
Summary:           Locales and examples for tkgate, Digital Circuit Simulator
Group:             Documentation
Requires:          %{name} = %{version}-%{release}

%description ja
This package contains the Japanese locales and examples for tkgate, 
Digital Circuit Simulator


%prep
%setup -q -n %{name}-%{version}-b10

%patch0 -p0 -b .doc
%patch1 -p0 -b .lm

sed -i "s|\"\${tkg_gateHome}/libexec/verga\"|\"%{_bindir}/verga\"|" scripts/parms.tcl

sed -i "s|license.txt||" scripts/license.tcl
sed -i "s|TKGATE_LIBDIRS=\"\(.*\)\"|TKGATE_LIBDIRS=\"\1 %{_libdir}\"|" configure
# E: backup-file-in-package
find . -type f -name "*~" -exec rm -f  {} ';'
find . -type f -name "\#*\#" -exec rm -f  {} ';'

# spurious-executable-perm
chmod 0755 scripts/tree.tcl
chmod 0644 test/verga/maketests.sh
chmod 0644 test/verga/runtests.sh

# E: zero-length
%{__rm} -f locale/{en,ja}/tutorials/definition.txt
%{__rm} -f bindings/none
%{__rm} -f scripts/dip.tcl
%{__rm} -f test/verga/grammar.out


cat > %{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Digital circuit simulator
GenericName=Verilog circuit simulator
Comment=TkGate
Type=Application
Exec=tkgate
Icon=tkgate
Categories=Engineering;Electronics;
EOF


%build
%configure
%{__make} %{?_smp_mflags} 


%install
%{__make} INSTALL="install -p" install DESTDIR=%{buildroot}

# Symlink points to BuildRoot:
%{__rm} -rf %{buildroot}%{_datadir}/%{name}/libexec/


# desktop file and its icon
desktop-file-install            \
    --dir %{buildroot}%{_datadir}/applications \
    %{name}.desktop

install -d %{buildroot}%{_datadir}/pixmaps/
install -pm 0644 images/run01.gif %{buildroot}%{_datadir}/pixmaps/%{name}.png
cp -p site-preferences %{buildroot}%{_datadir}/%{name}/site-preferences

%files ca
%{_datadir}/%{name}/locale/ca/*

%files cs
%{_datadir}/%{name}/locale/cs/*

%files cy
%{_datadir}/%{name}/locale/cy/*

%files de
%{_datadir}/%{name}/locale/de/*

%files es
%{_datadir}/%{name}/locale/es/*

%files fr
%{_datadir}/%{name}/locale/fr/*

%files it
%{_datadir}/%{name}/locale/it/*

%files ja
%{_datadir}/%{name}/locale/ja/*


%files
%doc README README.verga COPYING
%doc license.txt pkg-comment pkg-descr TODO
%doc doc/ test/
%{_bindir}/gmac
%{_bindir}/%{name}
%{_bindir}/verga
%{_datadir}/%{name}
%{_mandir}/man1/gmac.1*
%{_mandir}/man1/tkgate.1*
%{_mandir}/man1/verga.1*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%exclude %{_datadir}/%{name}/locale/ca
%exclude %{_datadir}/%{name}/locale/cs
%exclude %{_datadir}/%{name}/locale/cy
%exclude %{_datadir}/%{name}/locale/de
%exclude %{_datadir}/%{name}/locale/es
%exclude %{_datadir}/%{name}/locale/fr
%exclude %{_datadir}/%{name}/locale/it
%exclude %{_datadir}/%{name}/locale/ja

%changelog
* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 2.0-alt1_15.beta10
- update to new release by fcimport

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 2.0-alt1_13.beta10
- update to new release by fcimport

* Wed Jun 06 2012 Igor Vlasenko <viy@altlinux.ru> 2.0-alt1_12.beta10
- fc import

